Перейти к содержанию
siomio

Не Корренктно работает стандартный фильтр.

Рекомендуемые сообщения

Доброго дня. 
Возникла проблема. Добавляю фильтр к себе на сайт. 

Создал два фильтра для всех товаров. к примеру я торгую машинами и у меня есть разные марки и цвета.

одни фильтр фильтрует авто по цветам а другой по марке.
значит я ставлю галочку на марке "форд" и галочку "цвет белый"

Соответственно я хочу увидеть только белые форды так  как фильтры по идее должны наложиться один на другой.
а у меня сайт после фильтрации выдаёт все форды т.к. галочка около "форд" стояла и всё белые авто других марок т.к. был выбран цвет "белый"

Вопрос в том как сделать так что б фильтры объединялись? Думаю, что я понятно всё объяснил.
Буду благодарен за любой ответ.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

я вот как раз это нашёл. но что дальше.? его надо распаковать. куда вставить? не знаете полный путь?
Спасибо.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
29 minutes ago, bitrixlviv said:

я вот как раз это нашёл. скачал архив. но что дальше.? его надо распаковать. куда вставить? не знаете полный путь?
Спасибо.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

@siomio

распаковать дальше 

заходим Модули/расширения-установка расширений 

Дальше нажимаем загрузить и выбираем из распакованный  файлик fix_filter.ocmod.xml

После установки заходим в модификаторы и жмем обновит

Профит!

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
17 minutes ago, bitrixlviv said:

@siomio

распаковать дальше 

заходим Модули/расширения-установка расширений 

Дальше нажимаем загрузить и выбираем из распакованный  файлик fix_filter.ocmod.xml

После установки заходим в модификаторы и жмем обновит

Профит!

к сожалению не нашёл я в админке в пункте "модули" установку расширений.

Безымянный.png

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
4 минуты назад, siomio сказал:

к сожалению не нашёл я в админке в пункте "модули" установку расширений.

 

это для ос 2 а у вас 1.5

вам не подойдет

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
8 minutes ago, ashap said:

это для ос 2 а у вас 1.5

вам не подойдет

Понял. что лучше для меня, обновить осдо последней версии или установить более старый модуль по этой ссылке ?

https://www.opencart.com/index.php?route=marketplace/extension/info&extension_id=11633&filter_search=opencart+filter+module+correction

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
Только что, siomio сказал:

Понял. что лучше для меня, обновить осдо последней версии или установить более старый модуль по этой ссылке ?

https://www.opencart.com/index.php?route=marketplace/extension/info&extension_id=11633&filter_search=opencart+filter+module+correction

ну если вы только на старте то да обновить до 2.1

если у вас аппетит с модулями не особо большой и вы знаете что вам надо и это есть под 2.3 то до 2.3

если у вас магазин готовый и работает то смысла в таком обновлении нет так как платные адекватные фильтры под 1.5 имеются, с более широким функционалам даже то что вы хотите на данный момент

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

ок

9 minutes ago, ashap said:

ну если вы только на старте то да обновить до 2.1

если у вас аппетит с модулями не особо большой и вы знаете что вам надо и это есть под 2.3 то до 2.3

если у вас магазин готовый и работает то смысла в таком обновлении нет так как платные адекватные фильтры под 1.5 имеются, с более широким функционалам даже то что вы хотите на данный момент

если я не буду сейчас обновлять, может случиться так что через время мне всё равно придётся его обновить и из за этого придётся и модули обновлять?
если сейчас буду обновлять это трудоёмко или нет?
если в сё же не обновляю то куда закачивать расширение для 1.5.?

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
Только что, siomio сказал:

ок

если я не буду сейчас обновлять, может случиться так что через время мне всё равно придётся его обновить и из за этого придётся и модули обновлять?
если сейчас буду обновлять это трудоёмко или нет?
если в сё же не обновляю то куда закачивать расширение для 1.5.?

версии

1.5

2.0-2.1

2.2

2.3

не совместимы между собой

грубо если говорить то это сайт с нуля

естественно перенести покупателей, товары вы сможете испольщуя например модули импорта  ну или из базы с копируете - кто во что горазд, но что касается функционала и шаблонов это не переедет

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

если вы захотите что то этакое за 5рублей в качестве готового модуля то да возможно придется обновить, но читайте выше

если есть деньги на разработку под 1.5 то естественно не столкнетесь

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Если бы мой знакомый "к примеру, торговал машинами", то я бы настоятельно ему советовал ставить последнюю версию движка и хороший шаблон. А не ковырять руками стандартный движок устаревшей версии, не имея подготовки.

По поводу Стандартного Фильтра опенкарт. Он крайне неудобный.

Посмотрите OCFilter, там нормальный функционал и он автоматически подтянет значения опций и атрибутов из товара для фильтрации по многим параметрам. И вам не придется эти значения вбивать в фильтр вручную. Пока продажи этого модуля приостановлены, но скоро должна выйти новая версия. Я бы, если бы делал сайт сейчас и было не к спеху, подождал бы. Старая версия стоила около 1200 рублей ( если память мне не изменяет)

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

расширения для 1.5 не куда не закачивать, они не совместимы с версия ми 2.0-2.1, 2.2 и 2.3

искать под версию

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
4 minutes ago, ashap said:

если вы захотите что то этакое за 5рублей в качестве готового модуля то да возможно придется обновить, но читайте выше

если есть деньги на разработку под 1.5 то естественно не столкнетесь

да, видимо пока не обновляем. 

Тогда можете подсказать куда вставлять модуль для моей версии?
Спасибо.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
6 minutes ago, ashap said:

расширения для 1.5 не куда не закачивать, они не совместимы с версия ми 2.0-2.1б 2.2 и 2.3

тут не понял. если у меня версия 1.5. и расширение по этой ссылке https://www.opencart.com/index.php?route=marketplace/extension/info&extension_id=11633&filter_search=opencart+filter+module+correction
 также для 1.5. то как же им пользоваться.
Возможно я задаю тупые вопросы. извините.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
4 минуты назад, siomio сказал:

да, видимо пока не обновляем. 

Тогда можете подсказать куда вставлять модуль для моей версии?
Спасибо.

так вы ссылку сами дали для вашей версии

там и инструкция есть наверно

в 1.5 нет установщика забудте про это

копированием файлов через фтп (ssh, sftp итд)

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
3 минуты назад, siomio сказал:

тут не понял. если у меня версия 1.5. и расширение по этой ссылке https://www.opencart.com/index.php?route=marketplace/extension/info&extension_id=11633&filter_search=opencart+filter+module+correction
 также для 1.5. то как же им пользоваться.
Возможно я задаю тупые вопросы. извините.

в reADME.Txt обычно пишут как чего ставить

исходная установка стандартная, гуглите хоть ютуб хоть гугл установка модулей 1.5 опенкарт

там кстати наверно еще и на vqmod

так что он обязательно у вас должен быть установлен

гуглите хоть в ютубе хоть в гугл яндексе - установка vqmod - что такое vqmod - как установить модуля для vqmod

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
11 minutes ago, ashap said:

так вы ссылку сами дали для вашей версии

там и инструкция есть наверно

в 1.5 нет установщика забудте про это

копированием файлов через фтп (ssh, sftt итд)

понял. скачал. но инструкции к сожалению нет.(

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
6 minutes ago, ashap said:

в reADME.Txt обычно пишут как чего ставить

исходная установка стандартная, гуглите хоть ютуб хоть гугл установка модулей 1.5 опенкарт

там кстати наверно еще и на vqmod

так что он обязательно у вас должен быть установлен

гуглите хоть в ютубе хоть в гугл яндексе - установка vqmod - что такое vqmod - как установить модуля для vqmod

 

vqmod у меня установлен.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

 

40 минут назад, siomio сказал:

понял. скачал. но инструкции к сожалению нет.(

на странице скачивания есть вкладка докуметаншион

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
5 minutes ago, ashap said:

 

на странице скачивания есть вкладка докуметаншион

да, так написано, но по факту в архиве только один файл с кодом и всё. 
блин ищу, но так и ни где и не нашёл как именно устанавливать расширения с vqmod. 
или хотя бы куда загрузить этот код что б фильтр заработал.

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

siomio,

https://www.opencart.com/index.php?route=marketplace/extension/info&extension_id=11633&filter_search=opencart+filter+module+correction

  1. скачиваем архив
  2. распаковываем
  3. папку vqmod загружаем по ФТП в корень сайт (vqmod должен быть к\установлен)
  4. чистим кеш vqmod

На всякий случай как установить vqmod

 

установка модуля на vqmod

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Для публикации сообщений создайте учётную запись или авторизуйтесь

Вы должны быть пользователем, чтобы оставить комментарий

Создать учетную запись

Зарегистрируйте новую учётную запись в нашем сообществе. Это очень просто!

Регистрация нового пользователя

Войти

Уже есть аккаунт? Войти в систему.

Войти

  • Последние посетители   0 пользователей онлайн

    Ни одного зарегистрированного пользователя не просматривает данную страницу

×

Важная информация

На нашем сайте используются файлы cookie и происходит обработка некоторых персональных данных пользователей, чтобы улучшить пользовательский интерфейс. Чтобы узнать для чего и какие персональные данные мы обрабатываем перейдите по ссылке. Если Вы нажмете «Я даю согласие», это означает, что Вы понимаете и принимаете все условия, указанные в этом Уведомлении о Конфиденциальности.